%define upstream_name    Perl-PrereqScanner
%define upstream_version 1.011

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A tool to scan your Perl code for its prerequisites
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.630
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(PPI) >= 1.205.0
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Params::Util)
BuildRequires: perl(String::RewritePrefix) >= 0.5.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
The scanner will extract loosely your distribution prerequisites from your
files.

The extraction may not be perfect but tries to do its best. It will
currently find the following prereqs:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Mar 07 2012 jquelin <jquelin> 1.11.0-1.mga2
+ Revision: 220936
- update to 1.011

* Thu Feb 23 2012 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 213161
- update to 1.010

* Thu Jan 05 2012 jquelin <jquelin> 1.9.0-1.mga2
+ Revision: 191274
- update to 1.009

* Sat Nov 05 2011 kharec <kharec> 1.8.0-1.mga2
+ Revision: 163808
- update to 1.008

* Thu Sep 01 2011 jquelin <jquelin> 1.7.0-1.mga2
+ Revision: 137564
- update to 1.007
- update to 1.006
- update to 1.005

* Wed Jun 15 2011 jquelin <jquelin> 1.4.0-1.mga2
+ Revision: 107337
- update to 1.004

* Tue Feb 22 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 56734
- update to 1.002

* Tue Jan 25 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 38693
- mageia rebuild
- imported package perl-Perl-PrereqScanner

